
document.addEventListener('DOMContentLoaded', function() {
    const videoElement = document.querySelector('.video');

    function checkVideoInView() {
        const rect = videoElement.getBoundingClientRect();
        const inView = (
            rect.bottom <= (window.innerHeight || document.documentElement.clientHeight) 
        );

        if (inView) {
            videoElement.classList.add('fullscreen');
        } else {
            videoElement.classList.remove('fullscreen');
        }
    }

    window.addEventListener('scroll', checkVideoInView);
    window.addEventListener('resize', checkVideoInView);
    checkVideoInView(); // Initial check
});

$('.app-devel-slide-main').slick({
    arrows: false,
    dots: false,
    infinite: true,
    autoplay:true,
    speed: 5,
    centerMode: true,
    slidesToShow: 5,
    slidesToScroll: 1,
    responsive: [
      {
        breakpoint: 1024,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 1,
          infinite: true,
          arrows: false,
          dots: false
        }
      },
      {
        breakpoint: 600,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 1,
          arrows: false,
          dots: false
        }
      },
      {
        breakpoint: 480,
        settings: {
          slidesToShow: 1,
          autoplay: true,
          autoplaySpeed: 2000,
          slidesToScroll: 1,
          arrows: false,
          dots: false
        }
      }
      // You can unslick at a given breakpoint now by adding:
      // settings: "unslick"
      // instead of a settings object
    ]
  });
  
  