
document.addEventListener('DOMContentLoaded', function() {
    const videoElement = document.querySelector('.video');

    function checkVideoInView() {
        const rect = videoElement.getBoundingClientRect();
        const inView = (
            rect.bottom <= (window.innerHeight || document.documentElement.clientHeight) 
        );

        if (inView) {
            videoElement.classList.add('fullscreen');
        } else {
            videoElement.classList.remove('fullscreen');
        }
    }

    window.addEventListener('scroll', checkVideoInView);
    window.addEventListener('resize', checkVideoInView);
    checkVideoInView(); // Initial check
});

// document.addEventListener('DOMContentLoaded', function () {
//     const videoElement = document.querySelector('.video');

//     function adjustVideoSize() {
//         const rect = videoElement.getBoundingClientRect();
//         const viewportHeight = window.innerHeight || document.documentElement.clientHeight;

//         if (rect.top >= 100 && rect.bottom <= viewportHeight * 0.8) {
//             // When the video is in the desired 80% view
//             videoElement.style.width = "100%";
//         } else if (rect.top < viewportHeight && rect.bottom > 0) {
//             // Dynamically increase or decrease size based on its position in the viewport
//             const scrollRatio = Math.min(Math.max((viewportHeight - rect.top + 150) / (viewportHeight + 150), 0), 1); // Adjusted for the 100px gap
//             const newWidth = 70 + scrollRatio * 30; // Width increases from 60% to 100%
//             videoElement.style.width = `${newWidth}%`;
//         } else {
//             // Reset when out of view
//             videoElement.style.width = "70%";
//         }
//     }

//     window.addEventListener('scroll', adjustVideoSize);
//     window.addEventListener('resize', adjustVideoSize);
//     adjustVideoSize(); // Initial check
// });



$('.app-devel-slide-main').slick({
    arrows: false,
    dots: false,
    infinite: true,
    autoplay:true,
    speed: 5,
    centerMode: true,
    slidesToShow: 5,
    slidesToScroll: 1,
    responsive: [
      {
        breakpoint: 1024,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 1,
          infinite: true,
          arrows: false,
          dots: false
        }
      },
      {
        breakpoint: 600,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 1,
          arrows: false,
          dots: false
        }
      },
      {
        breakpoint: 480,
        settings: {
          slidesToShow: 1,
          autoplay: true,
          autoplaySpeed: 2000,
          slidesToScroll: 1,
          arrows: false,
          dots: false
        }
      }
      // You can unslick at a given breakpoint now by adding:
      // settings: "unslick"
      // instead of a settings object
    ]
  });
  
  